<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:41:00 CEST 2010 -->
<TITLE>
I-Index
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="I-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-8.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-10.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-9.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-9.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>
<A NAME="_I_"><!-- --></A><H2>
<B>I</B></H2>
<DL>
<DT><A HREF="../org/bitfountain/gui/ImageUtils.html" title="class in org.bitfountain.gui"><B>ImageUtils</B></A> - Class in <A HREF="../org/bitfountain/gui/package-summary.html">org.bitfountain.gui</A><DD>Utility functions for handling images.<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#inputStream"><B>inputStream</B></A> - 
Variable in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Input stream used to read data from the server.
<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#isFinished()"><B>isFinished()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.decoding.<A HREF="../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSNetDecoder</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html#isFinished()"><B>isFinished()</B></A> - 
Method in class org.bitfountain.math.reedsolomon.encoding.<A HREF="../org/bitfountain/math/reedsolomon/encoding/RSNetEncoder.html" title="class in org.bitfountain.math.reedsolomon.encoding">RSNetEncoder</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/Progressive.html#isFinished()"><B>isFinished()</B></A> - 
Method in interface org.bitfountain.network.<A HREF="../org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network">Progressive</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/server/FileSendTask.html#isFinished()"><B>isFinished()</B></A> - 
Method in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/FileSendTask.html" title="class in org.bitfountain.network.server">FileSendTask</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#isIdle()"><B>isIdle()</B></A> - 
Method in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items"><B>Item</B></A> - Class in <A HREF="../org/bitfountain/gui/client/items/package-summary.html">org.bitfountain.gui.client.items</A><DD>Fundamental element of a filezone,
 an Item contains all necessary components
 to describe files in the filezone.<DT><A HREF="../org/bitfountain/gui/client/items/Item.html#Item(java.io.File)"><B>Item(File)</B></A> - 
Constructor for class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items">Item</A>
<DD>Create a new element from a file.
<DT><A HREF="../org/bitfountain/gui/client/items/Item.html#Item(java.lang.String, long)"><B>Item(String, long)</B></A> - 
Constructor for class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/Item.html" title="class in org.bitfountain.gui.client.items">Item</A>
<DD>Create a new element from a file header.
<DT><A HREF="../org/bitfountain/gui/client/items/ItemList.html" title="class in org.bitfountain.gui.client.items"><B>ItemList</B></A> - Class in <A HREF="../org/bitfountain/gui/client/items/package-summary.html">org.bitfountain.gui.client.items</A><DD>Zone displaying a list of items.<DT><A HREF="../org/bitfountain/gui/client/items/ItemList.html#ItemList(org.bitfountain.gui.client.MainWindow)"><B>ItemList(MainWindow)</B></A> - 
Constructor for class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/ItemList.html" title="class in org.bitfountain.gui.client.items">ItemList</A>
<DD>Create a new item list.
<DT><A HREF="../org/bitfountain/gui/client/items/ItemListRenderer.html" title="class in org.bitfountain.gui.client.items"><B>ItemListRenderer</B></A> - Class in <A HREF="../org/bitfountain/gui/client/items/package-summary.html">org.bitfountain.gui.client.items</A><DD>Custom cell renderer to display infos about files being transferred.<DT><A HREF="../org/bitfountain/gui/client/items/ItemListRenderer.html#ItemListRenderer()"><B>ItemListRenderer()</B></A> - 
Constructor for class org.bitfountain.gui.client.items.<A HREF="../org/bitfountain/gui/client/items/ItemListRenderer.html" title="class in org.bitfountain.gui.client.items">ItemListRenderer</A>
<DD>&nbsp;
<DT><A HREF="../org/bitfountain/network/packets/FileList.html#iterator()"><B>iterator()</B></A> - 
Method in class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/FileList.html" title="class in org.bitfountain.network.packets">FileList</A>
<DD>&nbsp;
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-8.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-10.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-9.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-9.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>

</BODY>
</HTML>
